[求救]升级问题

为当前最终发行版之前的所有版本提供支持
回复
ayanamilee
帖子: 44
注册时间: 2006-03-20 18:40
送出感谢: 0
接收感谢: 0

[求救]升级问题

#1

帖子 ayanamilee » 2006-04-11 20:46

升级时遇到这样的问题
lee@lijiakai:~$ sudo apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
正在筹划升级... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B 的软件包。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]y
正在设置 dhelp (0.5.21) ...
Building HTML tree .../var/lib/dpkg/info/dhelp.postinst: line 45: 10103 段错误 /usr/sbin/dhelp_parse -r
dpkg:处理 dhelp (--configure)时出错:
子进程·post-installation script·返回了错误号·139
在处理时有错误发生:
dhelp
E: Sub-process /usr/bin/dpkg returned an error code (1)

安装软件的时候也有这样的提示,比如安装firestarter
lee@lijiakai:~$ sudo apt-get install firestarter
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
下列【新】软件包将被安装:
firestarter
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 393kB 的软件包。
解压缩后会消耗掉 1950kB 的额外空间。
获取:1 http://ftp.sjtu.edu.cn breezy/universe firestarter 1.0.3-1.1ubuntu1 [393kB]
下载 393kB,耗时 3s (121kB/s)

正在预设定软件包 ...
选中了曾被取消选择的软件包 firestarter。
(正在读取数据库 ... 系统当前总共安装有 91705 个文件和目录。)
正在解压缩 firestarter (从 .../firestarter_1.0.3-1.1ubuntu1_i386.deb) ...
正在设置 dhelp (0.5.21) ...
Building HTML tree .../var/lib/dpkg/info/dhelp.postinst: line 45: 9985 段错误 /usr/sbin/dhelp_parse -r
dpkg:处理 dhelp (--configure)时出错:
子进程·post-installation script·返回了错误号·139
正在设置 firestarter (1.0.3-1.1ubuntu1) ...

在处理时有错误发生:
dhelp
E: Sub-process /usr/bin/dpkg returned an error code (1)

谁知道原因的帮帮我阿~~
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-04-11 21:11

就是要先把那个安装不完整的包删除掉。新利得里面,自定义那里,找到broken包。删除。
● 鸣学
ayanamilee
帖子: 44
注册时间: 2006-03-20 18:40
送出感谢: 0
接收感谢: 0

#3

帖子 ayanamilee » 2006-04-11 23:39

谢谢,新得利里面broken里并没有找到已损坏的包,根据提示,就将dhelp包删除了,就可以了
ironwires
帖子: 85
注册时间: 2006-04-19 2:36
送出感谢: 0
接收感谢: 0

#4

帖子 ironwires » 2006-04-19 23:00

我也遇到了类似的情况,谁可以告诉我这个‘新利得’在哪里啊?谢谢。
头像
philander
帖子: 80
注册时间: 2006-03-28 3:54
送出感谢: 1 次
接收感谢: 0

#5

帖子 philander » 2006-04-20 7:56

。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。。

系统管理里面
ironwires
帖子: 85
注册时间: 2006-04-19 2:36
送出感谢: 0
接收感谢: 0

#6

帖子 ironwires » 2006-04-20 19:41

哈哈,真吓我一跳。
回复

回到 “老旧版本支持”